Create a scaled price ladder
curl --request POST \
--url https://developers.fundingperpetuals.com/v1/scaled-orders \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"account_id": "<string>",
"market_id": "<string>",
"size": 123,
"start_price": 123,
"end_price": 123,
"rung_count": 6,
"leverage": 123,
"reduce_only": false,
"marketable_limit_acknowledged": true
}
'import requests
url = "https://developers.fundingperpetuals.com/v1/scaled-orders"
payload = {
"account_id": "<string>",
"market_id": "<string>",
"size": 123,
"start_price": 123,
"end_price": 123,
"rung_count": 6,
"leverage": 123,
"reduce_only": False,
"marketable_limit_acknowledged": True
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
account_id: '<string>',
market_id: '<string>',
size: 123,
start_price: 123,
end_price: 123,
rung_count: 6,
leverage: 123,
reduce_only: false,
marketable_limit_acknowledged: true
})
};
fetch('https://developers.fundingperpetuals.com/v1/scaled-orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"account_id": "<string>",
"market_id": "<string>",
"total_size": 123,
"rung_count": 123,
"rungs": [
{
"price": 123,
"size": 123,
"order_id": "<string>",
"reject_reason": "<string>"
}
],
"status": "<string>",
"started_at": 123,
"provider": "<string>",
"symbol": "<string>",
"coin": "<string>",
"size_decimals": 123,
"leverage": 123,
"reduce_only": true,
"start_price": 123,
"end_price": 123,
"placed_count": 123,
"rejected_count": 123,
"completed_at": 123,
"canceled_at": 123
}
}{
"data": {
"id": "<string>",
"account_id": "<string>",
"market_id": "<string>",
"total_size": 123,
"rung_count": 123,
"rungs": [
{
"price": 123,
"size": 123,
"order_id": "<string>",
"reject_reason": "<string>"
}
],
"status": "<string>",
"started_at": 123,
"provider": "<string>",
"symbol": "<string>",
"coin": "<string>",
"size_decimals": 123,
"leverage": 123,
"reduce_only": true,
"start_price": 123,
"end_price": 123,
"placed_count": 123,
"rejected_count": 123,
"completed_at": 123,
"canceled_at": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"order_id": "<string>",
"rule_id": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Strategy Orders
Create a scaled price ladder
POST
/
v1
/
scaled-orders
Create a scaled price ladder
Authorizations
API key beginning with fp_live_.
Headers
Unique printable key for this intended order. Reuse it only for an identical retry.
Required string length:
1 - 128Body
application/json
Available options:
buy, sell Required range:
2 <= x <= 10Available options:
flat, ascending, descending Available options:
cross, isolated Response
Idempotent replay.
Show child attributes
Show child attributes
⌘I